### Method

# Adw OverlaySplitViewset_pin_sidebar

since: 1.4

#### Declaration [src]

    void
    adw_overlay_split_view_set_pin_sidebar (
      AdwOverlaySplitView* self,
      gboolean pin_sidebar
    )

#### Description [src]

Sets whether the sidebar widget is pinned for `self`.

By default, collapsing `self` automatically hides the sidebar widget, and uncollapsing it shows the sidebar. If set to `TRUE`, sidebar visibility never changes on its own.

Available since: 1.4

Sets property | `Adw.OverlaySplitView:pin-sidebar`

#### Parameters

`pin_sidebar`

  Type: `gboolean`

  Whether to pin the sidebar widget.